curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
txns = client.transactions.for_wallet("YOUR_WALLET_ID")
for txn in txns:
print(txn["id"], txn["status"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const txns = await client.transactions.forWallet("YOUR_WALLET_ID");
for (const txn of txns) console.log(txn.id, txn.status);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
[
{
"id": "trans_111...",
"wallet_id": "wall_789...",
"recipient_wallet_id": "wall_000...",
"amount": 20.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T12:00:00Z"
},
{
"id": "trans_222...",
"wallet_id": "wall_000...",
"recipient_wallet_id": "wall_789...",
"amount": 15.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T13:00:00Z"
}
]
Transactions
Get Wallet Transactions
Retrieve all transactions for a specific wallet.
GET
/
api
/
v1
/
transactions
/
wallet
/
{wallet_id}
curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
txns = client.transactions.for_wallet("YOUR_WALLET_ID")
for txn in txns:
print(txn["id"], txn["status"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const txns = await client.transactions.forWallet("YOUR_WALLET_ID");
for (const txn of txns) console.log(txn.id, txn.status);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
[
{
"id": "trans_111...",
"wallet_id": "wall_789...",
"recipient_wallet_id": "wall_000...",
"amount": 20.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T12:00:00Z"
},
{
"id": "trans_222...",
"wallet_id": "wall_000...",
"recipient_wallet_id": "wall_789...",
"amount": 15.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T13:00:00Z"
}
]
This endpoint returns all transactions where the specified wallet is either the sender or the recipient.
Path Parameters
string
required
The unique identifier of the wallet to fetch transactions for.
Response
The response is an array of transaction objects.string
The unique identifier for the transaction.
number
The transaction amount.
string
The currency code.
string
The type of transaction.
string
The current status.
[
{
"id": "trans_111...",
"wallet_id": "wall_789...",
"recipient_wallet_id": "wall_000...",
"amount": 20.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T12:00:00Z"
},
{
"id": "trans_222...",
"wallet_id": "wall_000...",
"recipient_wallet_id": "wall_789...",
"amount": 15.0,
"currency": "USD",
"transaction_type": "transfer",
"status": "completed",
"created_at": "2025-01-16T13:00:00Z"
}
]
curl --request GET \
--url https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID \
--header 'api-key: YOUR_API_KEY' \
--header 'secret-key: YOUR_SECRET_KEY'
from hostpay import HostPay
client = HostPay(api_key="YOUR_API_KEY", secret_key="YOUR_SECRET_KEY")
txns = client.transactions.for_wallet("YOUR_WALLET_ID")
for txn in txns:
print(txn["id"], txn["status"])
import { HostPay } from "@hostpay/sdk";
const client = new HostPay({ apiKey: "YOUR_API_KEY", secretKey: "YOUR_SECRET_KEY" });
const txns = await client.transactions.forWallet("YOUR_WALLET_ID");
for (const txn of txns) console.log(txn.id, txn.status);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hpay-api.host-sl.com/api/v1/transactions/wallet/YOUR_WALLET_ID",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"api-key: YOUR_API_KEY",
"secret-key: YOUR_SECRET_KEY"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;